- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# MStringResourceId Class Reference

# OpenMaya - API module for common classes

This reference page is linked to from the following overview topics: Internationalization Process, Example code.

Search for all occurrences

## Detailed Description

Unique identifier for an MString Resource.

The MStringResourceId class implements a string lookup key to be used in conjunction with the MStringResource class to retrieve strings from externally defined string resource values.

`#include <MStringResourceId.h>`

List of all members.

## Public Member Functions
| MStringResourceId ()
| The Class constructor.
| MStringResourceId (const char *pluginId, const char *keyString, const MString &defaultValue)
| Class constructor.
| MStringResourceId (const MStringResourceId &)
| Copy constructor.
MStringResourceId & | operator= (const MStringResourceId &)
| Assignment operator.
bool | operator!= (const MStringResourceId &) const
| Inequality operator.
bool | operator== (const MStringResourceId &) const
| Equality operator.
| ~MStringResourceId ()
| The class destructor.

## Constructor & Destructor Documentation

MStringResourceId | ( |  | ) |

The Class constructor.

Initializes the new MStringResourceId instance to the empty string. This constructor will not be used in practice.

MStringResourceId | ( | const char * | pluginId,
|  | const char * | keyString,
|  | const MString & | defaultValue
| ) |  |

Class constructor.

Create a new instance of an MStringResourceId. This object can then be used to register and retrieve MStringResource's.

The unique resource key is formed from a pair of strings: the name of the plugin the string is associated with and a unique Id for this particular string. The resourceId also contains the string's default value.

Parameters:

  [in] | pluginId | the name of this plugin
  [in] | keyString | the unique string Id (within this plugin)
  [in] | defaultValue | the default value for the string resource

MStringResourceId | ( | const MStringResourceId & | other | ) |

Copy constructor.

Create a new MStringResourceId instance by copying another.

Parameters:

  [in] | other | the MStringResourceId to copy from.

## Member Function Documentation

MStringResourceId & operator= | ( | const MStringResourceId & | other | ) |

Assignment operator.

Allows assignment between MStringResourceId instances.

bool operator!= | ( | const MStringResourceId & | other | ) | const

Inequality operator.

Allows 2 MStringResourceIds to be compared to see if they differ.

bool operator== | ( | const MStringResourceId & | other | ) | const

Equality operator.

Allows 2 MStringResourceIds to be compared to see if they contain identical values.

MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId
MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId MStringResourceId